Message: Re: Link errors under FreeBSD 6.2 with gcc 3.4.6 Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

Feedback Re: Link errors under FreeBSD 6.2 with gcc 3.4.6 

Keywords: FreeBSD link error
Forum: Installation and Configuration
Re: Question Link errors under FreeBSD 6.2 with gcc 3.4.6 (Mark Looper)
Re: More Re: Link errors under FreeBSD 6.2 with gcc 3.4.6 (Gabriele Cosmo)
Re: None Re: Link errors under FreeBSD 6.2 with gcc 3.4.6 (Mark Looper)
Date: 02 Apr, 2008
From: Gabriele Cosmo <Gabriele Cosmo>

Indeed there're several missing libraries in your link command, that's why you get
many 'undefined'.
The list of G4 libraries for N01 should look like the following:

-lexampleN01  -lG4run -lG4transportation -lG4scoring -lG4detutils -lG4geomdivision
-lG4detscorer -lG4event -lG4mesons -lG4digits -lG4tracking -lG4emutils -lG4leptons
-lG4bosons -lG4baryons -lG4ions -lG4cuts -lG4procman -lG4detector -lG4track
-lG4geombias -lG4navigation -lG4magneticfield -lG4volumes -lG4hits -lG4partman
-lG4specsolids -lG4csg -lG4hepnumerics -lG4geometrymng -lG4materials
-lG4graphics_reps -lG4intercoms -lG4globman    -lCLHEP -lm

Yours instead is:

-lexampleN01  -lG4digits -lG4hits -lG4event -lG4geometrymng -lG4navigation
-lG4csg -lG4volumes -lG4globman -lG4intercoms -lG4materials -lG4bosons
-lG4baryons -lG4ions -lG4mesons -lG4leptons -lG4partman -lG4cuts -lG4procman
-lG4run -lG4track -lG4tracking     -lCLHEP -lm

To be sure, double-check that there has been no compilation errors while building
the libraries during the installation process and that all libraries are present in the
installation area.
If nothing was wrong, try using global libraries instead, as I suggested previously;
you can quickly do it by reusing the previous installation ... if you used the Configure
script, re-run it (./Configure -build) and select "global" libraries ONLY instead of
"granular" (eventually, delete manually the existing granular libraries in the
installation area first).
Hope it helps...

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

1 Agree: Re: Link errors under FreeBSD 6.2 with gcc 3.4.6   (Mark Looper - 02 Apr, 2008)
 Add Message Add Message
to: "Re: Link errors under FreeBSD 6.2 with gcc 3.4.6"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]